get
https://api-bot-v1.dbotx.com/coin_tools/token_accounts
This API is used to get all token account addresses and balances under a specified wallet. The returned results can be used as parameters for the Close Empty Token Accounts and Burn Token Accounts APIs
| Free | Plus | Pro | Enterprise | Credit Usage |
|---|---|---|---|---|
| ✅ | ✅ | ✅ | ✅ | 50 |
Response Data
"err": false, //是否发生错误
"res": [
{
"account": "9q5yPhAm5vs3ednT6HEyqiHw2y8HQzq2nGGj2gwVU4ti", //代币账户地址
"amount": "0", //代币余额
"decimals": 9, //代币精度
"image": "image url", //代币图片url
"name": "Marinade staked SOL (mSOL)", //代币名称
"state": 1, //代币状态,返回1或者2,1表示代币可正常销毁,2表示代币被冻结无法销毁
"symbol": "mSOL", //代币symbol
"token": "mSoLzYCxHdYgdzU15g5QSh3i5K3zrKZK7ytfqcJm7So", //token地址
"tokenProgram": "TokenkegwfeZyiNwAJbNbGKPFXCfuBvf9Ss623VQ5DA"
},
{
"account": "tgpREZdPMozfgwgKwTSN3Ue2V21mGpnLQ6V2FhPqWPr",
"amount": "0",
"decimals": 6,
"image": "image url",
"name": "working Anthropic",
"state": 1,
"symbol": "$WAHP",
"token": "8VRb4Hyybfgof6ZNAvcUohBpqfMep62G572whxc3pump",
"tokenProgram": "TokenzQgBNbLqP5VEhdkAf6EPFLC1PHnBqCXEpPxuEj"
}
]} Request Parameters visualization reference
